Bug 489400 - pam_selinux should stop asking weird questions from the session stack
pam_selinux should stop asking weird questions from the session stack
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-09 16:47 EDT by Ray Strode [halfline]
Modified: 2009-09-01 11:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-01 11:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2009-03-09 16:47:24 EDT
pam_selinux occasionally asks a bizarre question about setting manual contexts after login.

Previously, GDM would get all angry and freeze up from this question because it was tearing down the greeter before pam_open_session finished.

Now it actually asks the question, but I'm not sure that's an improvement.

Should probably get removed.
Comment 1 Bug Zapper 2009-06-09 08:03:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 2 Tomas Mraz 2009-09-01 11:35:03 EDT
The questions would be asked only when there is actually some problem with the configuration or most probably in the selinux policy. I don't want to drop the functionality from pam_selinux as it might be useful in some special configurations like MLS machines.

Note You need to log in before you can comment on or make changes to this bug.